<?php

declare(strict_types=1);

use FiloBlu\OrderAdditionalData\Model\Plugin\OrderPlace;
use Magento\Framework\App\Bootstrap;
use Magento\Sales\Api\OrderRepositoryInterface;

require __DIR__ . '/../../../../../app/bootstrap.php';
$params = $_SERVER;
$bootstrap = Bootstrap::create(BP, $params);
//$obj =
//$state = $obj->get(State::class);
//$state->setAreaCode('adminhtml');
$objectManager = $bootstrap->getObjectManager();


/** @var \Magento\Sales\Api\OrderRepositoryInterface $orderRepository */
$orderRepository = $objectManager->get(OrderRepositoryInterface::class);

$order = $orderRepository->get(5232);

/** @var \FiloBlu\OrderAdditionalData\Model\Plugin\OrderPlace $orderPlacePlugin */
$orderPlacePlugin = $objectManager->get(OrderPlace::class);


$orderPlacePlugin->simulateShippingAmount($order);
